<?php /*
* Plugin Name: Enduring Word
* Version: 1.2.0
* Author: Enduring Word
* Author URI: https://enduringword.com/
* Description: This plugin shows the Enduring Word Bible Commentary Quick Navigation, according to Bible books and chapters by using shortcode [ENDURINGWORD].
* Text Domain:end_word
*/
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}
class ehduringWord{
		public $version = '1.2.0';
		public static function init() {
			$pi_inits = new self();
		}
		public function __construct() {
			$this->end_word_setup_actions(); 
			$this->end_word_define_constants();
		}
		public static function installEnduring(){
			require trailingslashit( plugin_dir_path( __FILE__ )).'Includes/end_word_insert_enduringword_bible.php';
		}
		public static function uninstallEnduring(){
				global $wpdb;
				$table_prefix = $wpdb->prefix;
				$enduring_table = $table_prefix ."enduringword";
				$wpdb->query("DROP TABLE IF EXISTS $enduring_table");
		}
		private function end_word_setup_actions() {
				add_action('init', array( $this,'end_word_register_shortcaode'));
				add_filter('plugin_action_links', array($this, 'end_word_plugin_action_links'), 10, 2);
				add_action('admin_menu',array( $this, 'end_word_plugin_options') ,5);
				add_action('wp_enqueue_scripts', array( $this,'end_word_inc_fe_assets'));
				add_action( 'admin_init', array( $this,'end_word_register_settings'));
				add_filter( 'widget_text', 'do_shortcode' );
				include trailingslashit( plugin_dir_path( __FILE__ ) ).'Includes/end_word_function.php';
		}
		private function end_word_define_constants() {
			define( 'ENDURINGWORD_BASE_URI',   trailingslashit( plugin_dir_path( __FILE__ )));
			define( 'ENDURINGWORD_BASE_URL',   trailingslashit( plugin_dir_url( __FILE__ )));
			define( 'ENDURINGWORD_ASSETS_URI', trailingslashit( ENDURINGWORD_BASE_URI . 'Assets' ));
			define( 'ENDURINGWORD_ASSETS_URL', trailingslashit( ENDURINGWORD_BASE_URL . 'Assets' ));
			define( 'ENDURINGWORD_MEDIA_URI', trailingslashit( ENDURINGWORD_BASE_URI . 'Assets/media' ));
			define( 'ENDURINGWORD_MEDIA_URL', trailingslashit( ENDURINGWORD_BASE_URL . 'Assets/media' ));
		}	 
		public function end_word_plugin_options(){
			  $menu = add_menu_page( 'Enduring Word', 'Enduring Word', 'manage_options','enduring_word', array( $this, 'end_word_page_admin' ),ENDURINGWORD_MEDIA_URL."/fave-icons.png",'5');
			add_action( 'admin_print_styles-' . $menu,  array( $this,'end_word_page_css'));
        }

		public function end_word_inc_fe_assets() {
				wp_enqueue_script('end_word_modal_jquerymin', ENDURINGWORD_ASSETS_URL.'js/jquery.modal.min.js', array(), null, true);
				wp_enqueue_style('end_word_modal_style', ENDURINGWORD_ASSETS_URL.'css/jquery.modal.min.css' );
                wp_enqueue_style('end_word_style', ENDURINGWORD_ASSETS_URL.'css/end_word_style.css' );
				wp_enqueue_script('end_word_ajax-script',  ENDURINGWORD_ASSETS_URL.'js/end_word_script.js', array('jquery') );
				wp_localize_script('end_word_ajax-script', 'end_admin',  array( 'ajax_url' => admin_url( 'admin-ajax.php' ) ) );
		}
        public function end_word_plugin_action_links($links, $file){
            if ($file == plugin_basename(__FILE__)) {
				$links[]='<a href="https://enduringword.wedid.it/" target="_blank" style="font-weight:bold">'.__('Donate', 'end_word').'</a>';
                $links[]='<a href="'.get_admin_url().'admin.php?page=enduring_word">'.__('Settings', 'end_word').'</a>';
            }
            return $links;
        }
		public function end_word_page_css(){
			wp_enqueue_style( 'end_word_admin_style', ENDURINGWORD_ASSETS_URL.'css/end_word_admin_style.css' );
		}		
		public function end_word_register_settings(){
			register_setting( 'end_word_admin_settings', 'end_word_language' );
 			register_setting( 'end_word_admin_settings', 'end_word_backlinking' );
		}
		public function end_word_page_admin(){
			require ENDURINGWORD_BASE_URI.'Templates/admin-settings.php';
		}
		public function end_word_shortcode_functions(){
			ob_start();
				require ENDURINGWORD_BASE_URI.'Templates/end_word_widget.php';
			return ob_get_clean();
		}
		public function end_word_register_shortcaode(){
			add_shortcode('ENDURINGWORD', array( $this, 'end_word_shortcode_functions'));
		}
	}
 add_action( 'plugins_loaded', array( 'ehduringWord', 'init' ), 10 );
 register_activation_hook(__FILE__, array( "ehduringWord",'installEnduring'));
 register_deactivation_hook(__FILE__, array( "ehduringWord",'uninstallEnduring'));
?>